diff -uNr nagios-plugins-1.4.11/lib/tests/test_utils.c nagios-plugins-1.4.12/lib/tests/test_utils.c
--- nagios-plugins-1.4.11/lib/tests/test_utils.c	2006-07-14 01:58:00.000000000 +0200
+++ nagios-plugins-1.4.12/lib/tests/test_utils.c	2008-01-30 10:38:37.000000000 +0100
@@ -1,22 +1,21 @@
-/******************************************************************************
-
- This program is free software; you can redistribute it and/or modify
- it under the terms of the GNU General Public License as published by
- the Free Software Foundation; either version 2 of the License, or
- (at your option) any later version.
-
- This program is distributed in the hope that it will be useful,
- but WITHOUT ANY WARRANTY; without even the implied warranty of
- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- GNU General Public License for more details.
-
- You should have received a copy of the GNU General Public License
- along with this program; if not, write to the Free Software
- Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-
- $Id: test_utils.c 1452 2006-07-13 23:58:00Z tonvoon $
- 
-******************************************************************************/
+/*****************************************************************************
+* 
+* This program is free software: you can redistribute it and/or modify
+* it under the terms of the GNU General Public License as published by
+* the Free Software Foundation, either version 3 of the License, or
+* (at your option) any later version.
+* 
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+* 
+* You should have received a copy of the GNU General Public License
+* along with this program.  If not, see <http://www.gnu.org/licenses/>.
+* 
+* $Id: test_utils.c 1914 2008-01-30 09:38:37Z dermoth $
+* 
+*****************************************************************************/
 
 #include "common.h"
 #include "utils_base.h"
diff -uNr nagios-plugins-1.4.11/lib/utils_base.c nagios-plugins-1.4.12/lib/utils_base.c
--- nagios-plugins-1.4.11/lib/utils_base.c	2007-07-29 14:42:05.000000000 +0200
+++ nagios-plugins-1.4.12/lib/utils_base.c	2008-03-11 01:10:23.000000000 +0100
@@ -1,19 +1,34 @@
 /*****************************************************************************
- *
- * utils_base.c
- *
- * Library of useful functions for plugins
- * These functions are tested with libtap. See tests/ directory
- *
- * Copyright (c) 2006 Nagios Plugin Development Team
- * License: GPL
- *
- * $Revision: 1768 $
- * $Date: 2007-07-29 13:42:05 +0100 (Sun, 29 Jul 2007) $
- ****************************************************************************/
+*
+* utils_base.c
+*
+* License: GPL
+* Copyright (c) 2006 Nagios Plugins Development Team
+*
+* Last Modified: $Date: 2008-03-11 00:10:23 +0000 (Tue, 11 Mar 2008) $
+*
+* Library of useful functions for plugins
+* 
+*
+* This program is free software: you can redistribute it and/or modify
+* it under the terms of the GNU General Public License as published by
+* the Free Software Foundation, either version 3 of the License, or
+* (at your option) any later version.
+* 
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+* 
+* You should have received a copy of the GNU General Public License
+* along with this program.  If not, see <http://www.gnu.org/licenses/>.
+* 
+* $Id: utils_base.c 1938 2008-03-11 00:10:23Z tonvoon $
+*
+*****************************************************************************/
 
-#include <stdarg.h>
 #include "common.h"
+#include <stdarg.h>
 #include "utils_base.h"
 
 void
@@ -105,10 +120,6 @@
 		}
 	}
 
-	if (*my_thresholds > 0) {	/* Not sure why, but sometimes could be -1 */
-		/* printf("Freeing here: %d\n", *my_thresholds); */
-		free(*my_thresholds);
-	}
 	*my_thresholds = temp_thresholds;
 
 	return 0;
diff -uNr nagios-plugins-1.4.11/lib/utils_cmd.c nagios-plugins-1.4.12/lib/utils_cmd.c
--- nagios-plugins-1.4.11/lib/utils_cmd.c	2007-09-22 01:01:28.000000000 +0200
+++ nagios-plugins-1.4.12/lib/utils_cmd.c	2008-01-30 10:33:43.000000000 +0100
@@ -1,42 +1,43 @@
-/****************************************************************************
- * Nagios run command utilities
- *
- * License: GPL
- * Copyright (c) 2005 nagios-plugins team
- *
- * $Id: utils_cmd.c 1434 2006-06-18 19:36:48Z opensides $
- *
- * Description :
- *
- * A simple interface to executing programs from other programs, using an
- * optimized and safe popen()-like implementation. It is considered safe
- * in that no shell needs to be spawned and the environment passed to the
- * execve()'d program is essentially empty.
- *
- *
- * The code in this file is a derivative of popen.c which in turn was taken
- * from "Advanced Programming for the Unix Environment" by W. Richard Stevens.
- *
- * Care has been taken to make sure the functions are async-safe. The one
- * function which isn't is cmd_init() which it doesn't make sense to
- * call twice anyway, so the api as a whole should be considered async-safe.
- *
- * License Information:
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- */
+/*****************************************************************************
+*
+* Nagios run command utilities
+*
+* License: GPL
+* Copyright (c) 2005-2006 Nagios Plugins Development Team
+*
+* Last Modified: $Date$
+*
+* Description :
+*
+* A simple interface to executing programs from other programs, using an
+* optimized and safe popen()-like implementation. It is considered safe
+* in that no shell needs to be spawned and the environment passed to the
+* execve()'d program is essentially empty.
+*
+* The code in this file is a derivative of popen.c which in turn was taken
+* from "Advanced Programming for the Unix Environment" by W. Richard Stevens.
+*
+* Care has been taken to make sure the functions are async-safe. The one
+* function which isn't is cmd_init() which it doesn't make sense to
+* call twice anyway, so the api as a whole should be considered async-safe.
+* 
+* 
+* This program is free software: you can redistribute it and/or modify
+* it under the terms of the GNU General Public License as published by
+* the Free Software Foundation, either version 3 of the License, or
+* (at your option) any later version.
+* 
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+* 
+* You should have received a copy of the GNU General Public License
+* along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*
+* $Id$
+*
+*****************************************************************************/
 
 #define NAGIOSPLUG_API_C 1
 
diff -uNr nagios-plugins-1.4.11/lib/utils_disk.c nagios-plugins-1.4.12/lib/utils_disk.c
--- nagios-plugins-1.4.11/lib/utils_disk.c	2007-09-22 19:48:33.000000000 +0200
+++ nagios-plugins-1.4.12/lib/utils_disk.c	2008-01-30 10:46:21.000000000 +0100
@@ -1,32 +1,31 @@
-/****************************************************************************
-* Utils for check_disk
-*
+/*****************************************************************************
+* 
+* Library for check_disk
+* 
 * License: GPL
-* Copyright (c) 1999-2006 nagios-plugins team
-*
-* Last Modified: $Date: 2007-09-22 18:48:33 +0100 (Sat, 22 Sep 2007) $
-*
+* Copyright (c) 1999-2007 Nagios Plugins Development Team
+* 
+* Last Modified: $Date: 2008-01-30 09:46:21 +0000 (Wed, 30 Jan 2008) $
+* 
 * Description:
-*
+* 
 * This file contains utilities for check_disk. These are tested by libtap
-*
-* License Information:
-*
-* This program is free software; you can redistribute it and/or modify
+* 
+* 
+* This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
-* the Free Software Foundation; either version 2 of the License, or
+* the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
-*
+* 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
-*
+* 
 * You should have received a copy of the GNU General Public License
-* along with this program; if not, write to the Free Software
-* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*
-* $Id: utils_disk.c 1787 2007-09-22 17:48:33Z psychotrahe $
+* along with this program.  If not, see <http://www.gnu.org/licenses/>.
+* 
+* $Id: utils_disk.c 1915 2008-01-30 09:46:21Z dermoth $
 * 
 *****************************************************************************/
 
diff -uNr nagios-plugins-1.4.11/lib/utils_tcp.c nagios-plugins-1.4.12/lib/utils_tcp.c
--- nagios-plugins-1.4.11/lib/utils_tcp.c	2007-09-22 19:48:33.000000000 +0200
+++ nagios-plugins-1.4.12/lib/utils_tcp.c	2008-01-30 10:46:21.000000000 +0100
@@ -1,33 +1,32 @@
-/****************************************************************************
-* Utils for check_tcp
-*
+/*****************************************************************************
+* 
+* Library for check_tcp
+* 
 * License: GPL
-* Copyright (c) 1999-2007 nagios-plugins team
-*
-* Last Modified: $Date: 2007-09-22 18:48:33 +0100 (Sat, 22 Sep 2007) $
-*
+* Copyright (c) 1999-2007 Nagios Plugins Development Team
+* 
+* Last Modified: $Date: 2008-01-30 09:46:21 +0000 (Wed, 30 Jan 2008) $
+* 
 * Description:
-*
+* 
 * This file contains utilities for check_tcp. These are tested by libtap
-*
-* License Information:
-*
-* This program is free software; you can redistribute it and/or modify
+* 
+* 
+* This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
-* the Free Software Foundation; either version 2 of the License, or
+* the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
-*
+* 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
-*
+* 
 * You should have received a copy of the GNU General Public License
-* along with this program; if not, write to the Free Software
-* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*
-* $Id: utils_tcp.c 1787 2007-09-22 17:48:33Z psychotrahe $
-*
+* along with this program.  If not, see <http://www.gnu.org/licenses/>.
+* 
+* $Id: utils_tcp.c 1915 2008-01-30 09:46:21Z dermoth $
+* 
 *****************************************************************************/
 
 #include "common.h"
diff -uNr nagios-plugins-1.4.11/nagios-plugins.spec nagios-plugins-1.4.12/nagios-plugins.spec
--- nagios-plugins-1.4.11/nagios-plugins.spec	2007-12-13 23:43:49.000000000 +0100
+++ nagios-plugins-1.4.12/nagios-plugins.spec	2008-05-28 00:06:09.000000000 +0200
@@ -1,5 +1,5 @@
 Name: nagios-plugins
-Version: 1.4.11
+Version: 1.4.12
 Release: 1
 Summary: Host/service/network monitoring program plugins for Nagios
 
diff -uNr nagios-plugins-1.4.11/NEWS nagios-plugins-1.4.12/NEWS
--- nagios-plugins-1.4.11/NEWS	2007-12-13 23:39:36.000000000 +0100
+++ nagios-plugins-1.4.12/NEWS	2008-05-28 00:01:05.000000000 +0200
@@ -1,27 +1,55 @@
 This file documents the major additions and syntax changes between releases.
 
+1.4.12 27th May 2008
+	Added ./check_nt -v INSTANCES to count number of instances (Alessandro Ren)
+	New check_icmp -s option to specify the source IP address
+	check_dns now sorts addresses for testing results for more than one returned IP (Matthias Urlichs)
+	Fix segfault in check_ntp_time and (deprecated) check_ntp (Bug #1862300)
+	check_disk should now work with large file systems (2TB+) on all archs that supports it
+	Fixed check_disk disk usage calculation when using --group=NAME (related to bug #1348746)
+	Fix help text of check_ntp* (Bug #1880095)
+	Fix bugs and flaws in best offset server selection of check_ntp_time and (deprecated) check_ntp
+	check_ntp_peer now checks for the LI_ALARM flag
+	Sync to latest Gnulib (includes new floorf function)
+	check_pgsql now successfully builds with postgres lib v8.3 (Bug #1878972)  
+	check_procs now accepts --ereg-argument-array for a regular expression match to the argument array
+	Reverted back to using pst3 for Solaris systems. Fixed issues re: -m64 needed to compile on 64bit systems
+	If applicable, Gettext linked dynamically instead of statically
+	check_dig can now pass arguments to dig by using -A/--dig-arguments (#1874041/#1889453)
+	check_ntp and check_ntp_peer now show proper jitter/stratum thresholds longopts in --help
+	check_dns now allow to repeat -a to match multiple possibly returned address (common with load balancers)
+	check_mysql and check_radius now try clearing password in processlist just like check_mysql_query
+	check_mysql and check_mysql_query now support sockets explicitely (-s, --socket)
+	negate now has the ability to replace the status text as well (-s, --substitute)
+	Added performance data to check_ping (Christian Schneemann)
+	Added support for --extra-opts in all C plugins (disabled by default, see configure --help)
+	Fixed passive option in check_by_ssh
+	On non-skipped stderr, check_by_ssh now returns UNKNOWN or worse (result from command) instead of always UNKNOWN.
+	Fix linking against OpenSSL where libdl is required
+
 1.4.11 13th December 2007
-	Fix check_http regression in 1.4.10 where following redirects to
+	Fixed check_http regression in 1.4.10 where following redirects to
 	  relative URLs on virtual hosts failed if both "-H" and "-I" were used
-	check_ntp now return UNKNOWN instead of WARNING if jitter is unavailable (jitter=-1.000000)
-	  as long as the thresholds range inculde -1. If no offset threshold is specified
+	Merged two new checks that deprecates check_ntp: check_ntp_peer and check_ntp_time.
+	  You should read the --help output so see which one is suitable for you. check_ntp_peer
+	  implement stratum thresholds support (feature request #1703823).
+	check_ntp now returns UNKNOWN instead of WARNING if jitter is unavailable (jitter=-1.000000)
+	  as long as the thresholds range include -1. If no offset threshold is specified
 	  and the offset is unavailable, will return UNKNOWN as well.
 	  NOTE: If jitter thresholds are specified as integers it will return CRITICAL if jitter
 	  is "-1" as the default range starts at 0. See Examples in --help output.
-	Fix broken usage2 in check_snmp and check_cluster
-	check_cluster now accept all valid characters in its thresholds ("-", "@", "~")
-	Merge two new checks that deprecates check_ntp: check_ntp_peer and check_ntp_time.
-	  You should read the --help output so see which one is suitable for you. check_ntp_peer
-	  implement stratum thresholds support (feature request #1703823).
-	Fix check_disk reporting OK if disk usage grows over 100% (bug #1348746).
+	Fixed broken usage2 in check_snmp and check_cluster
+	check_cluster now accepts all valid characters in its thresholds ("-", "@", "~")
+	Fixed check_disk reporting OK if disk usage grows over 100% (bug #1348746).
 	  The problem happens to be in Gnulib but a workaround have been implemented in check_disk.c
-	Fix check_load argument handling when not passing triplets (bug #1831890)
-	Tinderbox builds now run tests in a verbose mode
-	Update to Nagios::Plugin 0.22
+	Fixed check_load argument handling when not passing triplets (bug #1831890)
+	Fixed buffer overflow in check_snmp (CVE-2007-5623)
+	Tinderbox builds now runs tests in a verbose mode
+	Updated Nagios::Plugin to 0.22
 	VPATH problem fixed for compiling plugins-root
 
 1.4.10 28th September 2007
-	Fix check_http buffer overflow vulnerability when following HTTP redirects
+	Fix check_http buffer overflow vulnerability when following HTTP redirects (CVE-2007-5198)
 	check_http now explicitly asks HTTP/1.1 servers to close the connection
 	  after completion of the response
 	Check_ldaps' guessing which secure method to use (starttls vs. ssl on connect)
diff -uNr nagios-plugins-1.4.11/perlmods/Makefile nagios-plugins-1.4.12/perlmods/Makefile
--- nagios-plugins-1.4.11/perlmods/Makefile	2007-12-13 23:43:35.000000000 +0100
+++ nagios-plugins-1.4.12/perlmods/Makefile	2008-05-28 00:06:07.000000000 +0200
@@ -38,36 +38,40 @@
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/np_mysqlclient.m4 \
-	$(top_srcdir)/gl/m4/absolute-header.m4 \
 	$(top_srcdir)/gl/m4/alloca.m4 \
 	$(top_srcdir)/gl/m4/arpa_inet_h.m4 \
-	$(top_srcdir)/gl/m4/c-strtod.m4 $(top_srcdir)/gl/m4/cloexec.m4 \
-	$(top_srcdir)/gl/m4/codeset.m4 $(top_srcdir)/gl/m4/dirname.m4 \
-	$(top_srcdir)/gl/m4/dos.m4 \
+	$(top_srcdir)/gl/m4/base64.m4 $(top_srcdir)/gl/m4/c-strtod.m4 \
+	$(top_srcdir)/gl/m4/cloexec.m4 $(top_srcdir)/gl/m4/codeset.m4 \
+	$(top_srcdir)/gl/m4/dirname.m4 $(top_srcdir)/gl/m4/dos.m4 \
 	$(top_srcdir)/gl/m4/double-slash-root.m4 \
 	$(top_srcdir)/gl/m4/eoverflow.m4 $(top_srcdir)/gl/m4/error.m4 \
 	$(top_srcdir)/gl/m4/exitfail.m4 \
 	$(top_srcdir)/gl/m4/extensions.m4 \
 	$(top_srcdir)/gl/m4/fcntl-safer.m4 \
+	$(top_srcdir)/gl/m4/float_h.m4 $(top_srcdir)/gl/m4/floorf.m4 \
 	$(top_srcdir)/gl/m4/fstypename.m4 \
 	$(top_srcdir)/gl/m4/fsusage.m4 \
 	$(top_srcdir)/gl/m4/getaddrinfo.m4 \
 	$(top_srcdir)/gl/m4/gethostname.m4 \
 	$(top_srcdir)/gl/m4/getloadavg.m4 \
 	$(top_srcdir)/gl/m4/getopt.m4 $(top_srcdir)/gl/m4/gettext.m4 \
+	$(top_srcdir)/gl/m4/glibc21.m4 \
 	$(top_srcdir)/gl/m4/gnulib-common.m4 \
 	$(top_srcdir)/gl/m4/gnulib-comp.m4 \
-	$(top_srcdir)/gl/m4/iconv.m4 $(top_srcdir)/gl/m4/inet_ntop.m4 \
-	$(top_srcdir)/gl/m4/inline.m4 $(top_srcdir)/gl/m4/intmax_t.m4 \
+	$(top_srcdir)/gl/m4/iconv.m4 \
+	$(top_srcdir)/gl/m4/include_next.m4 \
+	$(top_srcdir)/gl/m4/inet_ntop.m4 $(top_srcdir)/gl/m4/inline.m4 \
+	$(top_srcdir)/gl/m4/intlmacosx.m4 \
+	$(top_srcdir)/gl/m4/intmax_t.m4 \
 	$(top_srcdir)/gl/m4/inttypes_h.m4 \
 	$(top_srcdir)/gl/m4/lib-ld.m4 $(top_srcdir)/gl/m4/lib-link.m4 \
-	$(top_srcdir)/gl/m4/lib-prefix.m4 $(top_srcdir)/gl/m4/lock.m4 \
-	$(top_srcdir)/gl/m4/longdouble.m4 \
+	$(top_srcdir)/gl/m4/lib-prefix.m4 \
+	$(top_srcdir)/gl/m4/localcharset.m4 \
 	$(top_srcdir)/gl/m4/longlong.m4 \
 	$(top_srcdir)/gl/m4/ls-mntd-fs.m4 \
-	$(top_srcdir)/gl/m4/mbchar.m4 $(top_srcdir)/gl/m4/mbiter.m4 \
-	$(top_srcdir)/gl/m4/mbrtowc.m4 $(top_srcdir)/gl/m4/memchr.m4 \
-	$(top_srcdir)/gl/m4/minmax.m4 $(top_srcdir)/gl/m4/mountlist.m4 \
+	$(top_srcdir)/gl/m4/malloc.m4 $(top_srcdir)/gl/m4/math_h.m4 \
+	$(top_srcdir)/gl/m4/mbstate_t.m4 \
+	$(top_srcdir)/gl/m4/mountlist.m4 \
 	$(top_srcdir)/gl/m4/netinet_in_h.m4 $(top_srcdir)/gl/m4/nls.m4 \
 	$(top_srcdir)/gl/m4/onceonly_2_57.m4 $(top_srcdir)/gl/m4/po.m4 \
 	$(top_srcdir)/gl/m4/progtest.m4 $(top_srcdir)/gl/m4/regex.m4 \
@@ -77,21 +81,21 @@
 	$(top_srcdir)/gl/m4/snprintf.m4 $(top_srcdir)/gl/m4/socklen.m4 \
 	$(top_srcdir)/gl/m4/sockpfaf.m4 $(top_srcdir)/gl/m4/ssize_t.m4 \
 	$(top_srcdir)/gl/m4/stdbool.m4 $(top_srcdir)/gl/m4/stdint.m4 \
-	$(top_srcdir)/gl/m4/stdint_h.m4 $(top_srcdir)/gl/m4/strcase.m4 \
-	$(top_srcdir)/gl/m4/strdup.m4 $(top_srcdir)/gl/m4/strndup.m4 \
+	$(top_srcdir)/gl/m4/stdint_h.m4 $(top_srcdir)/gl/m4/stdio_h.m4 \
+	$(top_srcdir)/gl/m4/stdlib_h.m4 $(top_srcdir)/gl/m4/strdup.m4 \
+	$(top_srcdir)/gl/m4/strerror.m4 \
+	$(top_srcdir)/gl/m4/string_h.m4 $(top_srcdir)/gl/m4/strndup.m4 \
 	$(top_srcdir)/gl/m4/strnlen.m4 \
 	$(top_srcdir)/gl/m4/sys_socket_h.m4 \
-	$(top_srcdir)/gl/m4/ulonglong.m4 \
 	$(top_srcdir)/gl/m4/unistd-safer.m4 \
 	$(top_srcdir)/gl/m4/unistd_h.m4 \
 	$(top_srcdir)/gl/m4/vasnprintf.m4 \
 	$(top_srcdir)/gl/m4/vasprintf.m4 \
 	$(top_srcdir)/gl/m4/vsnprintf.m4 $(top_srcdir)/gl/m4/wchar.m4 \
 	$(top_srcdir)/gl/m4/wchar_t.m4 $(top_srcdir)/gl/m4/wctype.m4 \
-	$(top_srcdir)/gl/m4/wcwidth.m4 $(top_srcdir)/gl/m4/wint_t.m4 \
-	$(top_srcdir)/gl/m4/xalloc.m4 $(top_srcdir)/gl/m4/xsize.m4 \
-	$(top_srcdir)/gl/m4/xstrndup.m4 $(top_srcdir)/acinclude.m4 \
-	$(top_srcdir)/configure.in
+	$(top_srcdir)/gl/m4/wint_t.m4 $(top_srcdir)/gl/m4/xalloc.m4 \
+	$(top_srcdir)/gl/m4/xsize.m4 $(top_srcdir)/gl/m4/xstrndup.m4 \
+	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.in
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 mkinstalldirs = $(SHELL) $(top_srcdir)/build-aux/mkinstalldirs
@@ -101,10 +105,6 @@
 DIST_SOURCES =
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 INSTALL = /usr/bin/install -c 
-ABSOLUTE_STDINT_H = "///usr/include/stdint.h"
-ABSOLUTE_UNISTD_H = "///usr/include/unistd.h"
-ABSOLUTE_WCHAR_H = 
-ABSOLUTE_WCTYPE_H = "///usr/include/wctype.h"
 ACLOCAL = ${SHELL} /tmp/nagiosplug/build-aux/missing --run aclocal-1.9
 ALLOCA = 
 ALLOCA_H = alloca.h
@@ -149,27 +149,177 @@
 EXTRA_TEST = 
 F77 = 
 FFLAGS = 
+FLOAT_H = 
+FLOORF_LIBM = -lm
 GETLOADAVG_LIBS = 
 GETOPT_H = 
+GETTEXT_MACRO_VERSION = 0.17
+GLIBC21 = yes
 GL_COND_LIBTOOL_FALSE = 
 GL_COND_LIBTOOL_TRUE = #
 GMSGFMT = /usr/bin/msgfmt
 GMSGFMT_015 = /usr/bin/msgfmt
+GNULIB_CALLOC_POSIX = 0
+GNULIB_CEILF = 0
+GNULIB_CEILL = 0
+GNULIB_CHOWN = 0
+GNULIB_DUP2 = 0
+GNULIB_FCHDIR = 0
+GNULIB_FFLUSH = 0
+GNULIB_FLOORF = 1
+GNULIB_FLOORL = 0
+GNULIB_FOPEN = 0
+GNULIB_FPRINTF_POSIX = 0
+GNULIB_FREOPEN = 0
+GNULIB_FREXP = 0
+GNULIB_FREXPL = 0
+GNULIB_FSEEK = 0
+GNULIB_FSEEKO = 0
+GNULIB_FTELL = 0
+GNULIB_FTELLO = 0
+GNULIB_FTRUNCATE = 0
+GNULIB_GETCWD = 0
+GNULIB_GETDELIM = 0
+GNULIB_GETLINE = 0
+GNULIB_GETLOGIN_R = 0
+GNULIB_GETPAGESIZE = 0
+GNULIB_GETSUBOPT = 0
+GNULIB_ISFINITE = 0
+GNULIB_LCHOWN = 0
+GNULIB_LDEXPL = 0
+GNULIB_LSEEK = 0
+GNULIB_MALLOC_POSIX = 1
+GNULIB_MATHL = 0
+GNULIB_MBSCASECMP = 0
+GNULIB_MBSCASESTR = 0
+GNULIB_MBSCHR = 0
+GNULIB_MBSCSPN = 0
+GNULIB_MBSLEN = 0
+GNULIB_MBSNCASECMP = 0
+GNULIB_MBSNLEN = 0
+GNULIB_MBSPBRK = 0
+GNULIB_MBSPCASECMP = 0
+GNULIB_MBSRCHR = 0
+GNULIB_MBSSEP = 0
+GNULIB_MBSSPN = 0
+GNULIB_MBSSTR = 0
+GNULIB_MBSTOK_R = 0
+GNULIB_MEMMEM = 0
+GNULIB_MEMPCPY = 0
+GNULIB_MEMRCHR = 0
+GNULIB_MKDTEMP = 0
+GNULIB_MKSTEMP = 0
+GNULIB_PRINTF_POSIX = 0
+GNULIB_PUTENV = 0
+GNULIB_READLINK = 0
+GNULIB_REALLOC_POSIX = 0
+GNULIB_ROUND = 0
+GNULIB_ROUNDF = 0
+GNULIB_ROUNDL = 0
+GNULIB_SETENV = 0
+GNULIB_SIGNBIT = 0
+GNULIB_SLEEP = 0
+GNULIB_SNPRINTF = 1
+GNULIB_SPRINTF_POSIX = 0
+GNULIB_STPCPY = 0
+GNULIB_STPNCPY = 0
+GNULIB_STRCASESTR = 0
+GNULIB_STRCHRNUL = 0
+GNULIB_STRDUP = 1
+GNULIB_STRERROR = 1
+GNULIB_STRNDUP = 1
+GNULIB_STRNLEN = 1
+GNULIB_STRPBRK = 0
+GNULIB_STRSEP = 0
+GNULIB_STRSIGNAL = 0
+GNULIB_STRSTR = 0
+GNULIB_STRTOK_R = 0
+GNULIB_TRUNC = 0
+GNULIB_TRUNCF = 0
+GNULIB_TRUNCL = 0
+GNULIB_UNSETENV = 0
+GNULIB_VASPRINTF = 1
+GNULIB_VFPRINTF_POSIX = 0
+GNULIB_VPRINTF_POSIX = 0
+GNULIB_VSNPRINTF = 1
+GNULIB_VSPRINTF_POSIX = 0
+GNULIB_WCWIDTH = 0
 GREP = /bin/grep
+HAVE_CALLOC_POSIX = 1
+HAVE_DECL_ACOSL = 1
+HAVE_DECL_ASINL = 1
+HAVE_DECL_ATANL = 1
+HAVE_DECL_COSL = 1
+HAVE_DECL_EXPL = 1
+HAVE_DECL_FREXPL = 1
+HAVE_DECL_GETDELIM = 1
+HAVE_DECL_GETLINE = 1
+HAVE_DECL_GETLOGIN_R = 1
+HAVE_DECL_LDEXPL = 1
+HAVE_DECL_LOGL = 1
+HAVE_DECL_MEMMEM = 1
+HAVE_DECL_MEMRCHR = 1
+HAVE_DECL_SINL = 1
+HAVE_DECL_SNPRINTF = 1
+HAVE_DECL_SQRTL = 1
+HAVE_DECL_STRDUP = 1
+HAVE_DECL_STRERROR = 1
+HAVE_DECL_STRNDUP = 1
+HAVE_DECL_STRNLEN = 1
+HAVE_DECL_STRSIGNAL = 1
+HAVE_DECL_STRTOK_R = 1
+HAVE_DECL_TANL = 1
+HAVE_DECL_TRUNC = 1
+HAVE_DECL_TRUNCF = 1
+HAVE_DECL_TRUNCL = 1
+HAVE_DECL_VSNPRINTF = 1
+HAVE_DECL_WCWIDTH = 1
+HAVE_DUP2 = 1
+HAVE_FSEEKO = 1
+HAVE_FTELLO = 1
+HAVE_FTRUNCATE = 1
+HAVE_GETPAGESIZE = 1
+HAVE_GETSUBOPT = 1
 HAVE_INTTYPES_H = 1
+HAVE_ISWCNTRL = 1
 HAVE_LONG_LONG_INT = 1
+HAVE_MALLOC_POSIX = 1
+HAVE_MEMPCPY = 1
+HAVE_MKDTEMP = 1
+HAVE_NETINET_IN_H = 
+HAVE_OS_H = 0
+HAVE_READLINK = 1
+HAVE_REALLOC_POSIX = 1
+HAVE_SETENV = 1
 HAVE_SIGNED_SIG_ATOMIC_T = 1
 HAVE_SIGNED_WCHAR_T = 1
 HAVE_SIGNED_WINT_T = 0
+HAVE_SLEEP = 1
 HAVE_STDINT_H = 1
+HAVE_STPCPY = 1
+HAVE_STPNCPY = 1
+HAVE_STRCASESTR = 1
+HAVE_STRCHRNUL = 1
+HAVE_STRNDUP = 1
+HAVE_STRPBRK = 1
+HAVE_STRSEP = 1
 HAVE_SYS_BITYPES_H = 1
 HAVE_SYS_INTTYPES_H = 0
+HAVE_SYS_PARAM_H = 0
+HAVE_SYS_SOCKET_H = 
 HAVE_SYS_TYPES_H = 1
+HAVE_UNISTD_H = 1
+HAVE_UNSETENV = 1
 HAVE_UNSIGNED_LONG_LONG_INT = 1
+HAVE_VASPRINTF = 1
+HAVE_WCHAR_H = 1
 HAVE_WCTYPE_H = 1
+HAVE_WINSOCK2_H = 
 HAVE_WINT_T = 1
+HAVE_WS2TCPIP_H = 
 HAVE__BOOL = 1
 HOSTNAME = /bin/hostname
+INCLUDE_NEXT = include_next
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
@@ -187,9 +337,10 @@
 LIBICONV = -liconv
 LIBINTL = 
 LIBOBJS = 
-LIBS = 
+LIBS = -ldl 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LN_S = ln -s
+LOCALCHARSET_TESTS_ENVIRONMENT = CHARSETALIASDIR="$(top_builddir)/gl"
 LTLIBICONV = -liconv
 LTLIBINTL = 
 LTLIBOBJS = 
@@ -203,13 +354,24 @@
 MYSQLLIBS = 
 NEED_SETGID = false
 NETINET_IN_H = 
+NEXT_FLOAT_H = 
+NEXT_MATH_H = <math.h>
+NEXT_NETINET_IN_H = 
+NEXT_STDINT_H = <stdint.h>
+NEXT_STDIO_H = <stdio.h>
+NEXT_STDLIB_H = <stdlib.h>
+NEXT_STRING_H = <string.h>
+NEXT_SYS_SOCKET_H = 
+NEXT_UNISTD_H = <unistd.h>
+NEXT_WCHAR_H = <wchar.h>
+NEXT_WCTYPE_H = <wctype.h>
 OBJEXT = o
 PACKAGE = nagios-plugins
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = nagios-plugins
-PACKAGE_STRING = nagios-plugins 1.4.11
+PACKAGE_STRING = nagios-plugins 1.4.12
 PACKAGE_TARNAME = nagios-plugins
-PACKAGE_VERSION = 1.4.11
+PACKAGE_VERSION = 1.4.12
 PATH_SEPARATOR = :
 PATH_TO_APTGET = /usr/bin/apt-get
 PATH_TO_DIG = /usr/bin/dig
@@ -238,16 +400,61 @@
 PGINCLUDE = 
 PGLIBS = 
 PKG_ARCH = unknown
-PLUGIN_TEST = t/check_cluster.t t/check_disk.t t/check_dns.t t/check_dummy.t t/check_fping.t t/check_ftp.t t/check_hpjd.t t/check_http.t t/check_imap.t t/check_jabber.t t/check_load.t t/check_mysql.t t/check_mysql_query.t t/check_nagios.t t/check_ntp.t t/check_ping.t t/check_pop.t t/check_procs.t t/check_smtp.t t/check_snmp.t t/check_swap.t t/check_tcp.t t/check_time.t t/check_udp.t t/check_users.t t/negate.t
+PLUGIN_TEST = t/check_by_ssh.t t/check_cluster.t t/check_disk.t t/check_dns.t t/check_dummy.t t/check_fping.t t/check_ftp.t t/check_hpjd.t t/check_http.t t/check_imap.t t/check_jabber.t t/check_load.t t/check_mysql.t t/check_mysql_query.t t/check_nagios.t t/check_ntp.t t/check_ping.t t/check_pop.t t/check_procs.t t/check_smtp.t t/check_snmp.t t/check_swap.t t/check_tcp.t t/check_time.t t/check_udp.t t/check_users.t t/negate.t
 POSUB = po
 POW_LIB = 
+PST3CFLAGS = 
 PTRDIFF_T_SUFFIX = 
 PYTHON = /usr/bin/python
 RADIUSLIBS = 
 RANLIB = ranlib
 RELEASE = 1
-REV_DATESTAMP = 2007.12.13.22.42
-REV_TIMESTAMP = 20071213224256
+REPLACE_CEILF = 0
+REPLACE_CEILL = 0
+REPLACE_CHOWN = 0
+REPLACE_FCHDIR = 0
+REPLACE_FFLUSH = 0
+REPLACE_FLOORF = 0
+REPLACE_FLOORL = 0
+REPLACE_FOPEN = 0
+REPLACE_FPRINTF = 0
+REPLACE_FREOPEN = 0
+REPLACE_FREXP = 0
+REPLACE_FREXPL = 0
+REPLACE_FSEEK = 0
+REPLACE_FSEEKO = 0
+REPLACE_FTELL = 0
+REPLACE_FTELLO = 0
+REPLACE_GETCWD = 0
+REPLACE_GETLINE = 0
+REPLACE_GETPAGESIZE = 0
+REPLACE_ISFINITE = 0
+REPLACE_LCHOWN = 0
+REPLACE_LDEXPL = 0
+REPLACE_LSEEK = 0
+REPLACE_MEMMEM = 0
+REPLACE_MKSTEMP = 0
+REPLACE_PRINTF = 0
+REPLACE_PUTENV = 0
+REPLACE_ROUND = 0
+REPLACE_ROUNDF = 0
+REPLACE_ROUNDL = 0
+REPLACE_SIGNBIT = 0
+REPLACE_SIGNBIT_USING_GCC = 0
+REPLACE_SNPRINTF = 0
+REPLACE_SPRINTF = 0
+REPLACE_STRCASESTR = 0
+REPLACE_STRERROR = 0
+REPLACE_STRSIGNAL = 0
+REPLACE_STRSTR = 0
+REPLACE_VASPRINTF = 0
+REPLACE_VFPRINTF = 0
+REPLACE_VPRINTF = 0
+REPLACE_VSNPRINTF = 0
+REPLACE_VSPRINTF = 0
+REPLACE_WCWIDTH = 0
+REV_DATESTAMP = 2008.05.27.23.05
+REV_TIMESTAMP = 20080527230527
 SCRIPT_TEST = t/check_file_age.t t/check_rpc.t t/utils.t
 SET_MAKE = 
 SH = /bin/sh
@@ -262,9 +469,11 @@
 STRIP = strip
 SUPPORT = Send email to nagios-users@lists.sourceforge.net if you have questions\nregarding use of this software. To submit patches or suggest improvements,\nsend email to nagiosplug-devel@lists.sourceforge.net.\nPlease include version information with all correspondence (when possible,\nuse output from the --version option of the plugin itself).\n
 SYS_SOCKET_H = 
-UNISTD_H = 
 USE_NLS = yes
-VERSION = 1.4.11
+USE_PARSE_INI_FALSE = 
+USE_PARSE_INI_TRUE = #
+VERSION = 1.4.12
+VOID_UNSETENV = 0
 WARRANTY = The nagios plugins come with ABSOLUTELY NO WARRANTY. You may redistribute\ncopies of the plugins under the terms of the GNU General Public License.\nFor more information about these matters, see the file named COPYING.\n
 WCHAR_H = 
 WCHAR_T_SUFFIX = 
@@ -272,6 +481,7 @@
 WINT_T_SUFFIX = u
 XGETTEXT = /usr/bin/xgettext
 XGETTEXT_015 = /usr/bin/xgettext
+XGETTEXT_EXTRA_OPTIONS =  --flag=error:3:c-format --flag=error_at_line:5:c-format --flag=asprintf:2:c-format --flag=vasprintf:2:c-format
 ac_ct_CC = gcc
 ac_ct_CXX = g++
 ac_ct_F77 = 
@@ -296,8 +506,10 @@
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-gl_LIBOBJS =  asnprintf.o basename.o c-strtod.o cloexec.o creat-safer.o dirname.o dup-safer.o exitfail.o fd-safer.o fsusage.o mbchar.o mountlist.o open-safer.o pipe-safer.o printf-args.o printf-parse.o safe-read.o safe-write.o strcasecmp.o stripslash.o vasnprintf.o xmalloc.o
-gl_LTLIBOBJS =  asnprintf.lo basename.lo c-strtod.lo cloexec.lo creat-safer.lo dirname.lo dup-safer.lo exitfail.lo fd-safer.lo fsusage.lo mbchar.lo mountlist.lo open-safer.lo pipe-safer.lo printf-args.lo printf-parse.lo safe-read.lo safe-write.lo strcasecmp.lo stripslash.lo vasnprintf.lo xmalloc.lo
+gl_LIBOBJS =  asnprintf.o basename.o c-strtod.o cloexec.o creat-safer.o dirname.o dup-safer.o exitfail.o fd-safer.o fsusage.o mountlist.o open-safer.o pipe-safer.o printf-args.o printf-parse.o regex.o safe-read.o safe-write.o stripslash.o vasnprintf.o xmalloc.o
+gl_LTLIBOBJS =  asnprintf.lo basename.lo c-strtod.lo cloexec.lo creat-safer.lo dirname.lo dup-safer.lo exitfail.lo fd-safer.lo fsusage.lo mountlist.lo open-safer.lo pipe-safer.lo printf-args.lo printf-parse.lo regex.lo safe-read.lo safe-write.lo stripslash.lo vasnprintf.lo xmalloc.lo
+gltests_LIBOBJS = 
+gltests_LTLIBOBJS = 
 host = i686-pc-linux-gnu
 host_alias = 
 host_cpu = i686
diff -uNr nagios-plugins-1.4.11/pkg/solaris/pkginfo nagios-plugins-1.4.12/pkg/solaris/pkginfo
--- nagios-plugins-1.4.11/pkg/solaris/pkginfo	2007-12-13 23:43:35.000000000 +0100
+++ nagios-plugins-1.4.12/pkg/solaris/pkginfo	2008-05-28 00:06:07.000000000 +0200
@@ -2,11 +2,11 @@
 NAME="nagios-plugins"
 DESC="Nagios network monitoring plugins"
 ARCH="unknown"
-VERSION="1.4.11,REV=2007.12.13.22.42"
+VERSION="1.4.12,REV=2008.05.27.23.05"
 CATEGORY="application"
 VENDOR="Nagios Plugin Development Team"
 EMAIL="nagiosplug-devel@lists.sourceforge.net"
-PSTAMP="nag20071213224256"
+PSTAMP="nag20080527230527"
 BASEDIR="/"
 CLASSES="none"
 
